Rails 求助,rake assets:precompile 报错 (已解决)

gsky · 2014年01月17日 · 最后由 gsky 回复于 2014年01月24日 · 2953 次阅读

小弟菜鸟一枚,在学习 railstutorial,部署那一节的时候,被 rake assets:precompile 给卡住了..

看了下这个帖子的解决办法,http://ruby-china.org/topics/1238, 可是无论我把 config.assets.precompile 注释或者不注释,仍然报那个错误,求大神指点下..谢谢...

-----最后装了下 node.js, 这个错就解决了谢谢大家帮助

。。。快下班了,求助啊 T_T

是不是内存不够了。。。

我好像说错了。。。好想删除我上面的留言。。。

加 --trace 看看,报错信息太少了。。。

5 楼 已删除

不知道 WIN 下的 coffee 是不是要额外配置

可能是的,win 下各种问题,可是没办法。。linux 实在是没装上去。。

@gsky 我也不知道怎么解决这错误,assets 编译没怎么去了解,window 更加不知道了

刚刚 google 搜索了一下 在 stackoverflow 上看到一个问题和你的相似

http://stackoverflow.com/questions/16739581/possible-to-get-rails-4-working-on-windows

试试看吧,或是自己 google 多找找。。

turbolinks.js.coffee 编译没通过?

在 ruby 1.9.3 下编译没问题,不知道 2.0.0 在 win 下的情况如何

group :assets do
  gem 'sass-rails', '~> 3.2.3'
  gem 'coffee-rails', '~> 3.2.1'
  gem 'therubyracer', "0.12.0", :platform => :ruby
  gem 'uglifier', '>= 1.0.3'
end

** gem 'therubyracer', "0.12.0", :platform => :ruby**

win 平台不太清楚 但是应该也需要 js runtime 的吧。 看看这个有没问题?

#6 楼 @bydmm 装了 node.js,没报这个错了 :)

#8 楼 @xjz19901211 谢谢你哈~~在 stackoverflow 翻了几天,试了 N 种方法,最后装了 node.js..就没报这个错了,O(∩_∩) O

#12 楼 @raven 嗯/...装了 node.js,没报这个错了····

需要 登录 后方可回复, 如果你还没有账号请 注册新账号